--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/backup Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+backup-local
+backup-backblaze
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/backup-backblaze Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+source /home/sjl/.restic-backblaze-creds
+
+restic --repo b2:backups-ouroboros:restic-repo \
+ --exclude-file=/home/sjl/src/dotfiles/restic/excludes.txt \
+ --password-file /home/sjl/.restic-password-backblaze \
+ backup /home/sjl
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/backup-local Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+restic --repo /backup/restic-repo \
+ --exclude-file=/home/sjl/src/dotfiles/restic/excludes.txt \
+ --password-file /home/sjl/.restic-password-local \
+ backup /home/sjl
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/mount-encrypted-stick Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sudo cryptsetup luksOpen "/dev/$1" "$1_crypt"
+sudo mkdir -p "/media/sjl/encrypted_drive_$1"
+sudo mount "/dev/mapper/$1_crypt" "/media/sjl/encrypted_drive_$1"
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/rb Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+source /home/sjl/.restic-backblaze-creds
+
+restic --repo b2:backups-ouroboros:restic-repo \
+ --password-file /home/sjl/.restic-password-backblaze \
+ "$@"
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/rl Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+restic --repo /backup/restic-repo \
+ --password-file /home/sjl/.restic-password-local \
+ "$@"
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/screenshot-area Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sleep 0.2 ; scrot 'screenshot_%Y-%m-%d_%H-%M-%S.png' -s -e 'mv $f ~/screenshots && echo -n ~/screenshots/$f' | xsel --clipboard --input
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/screenshot-screen Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sleep 0.2 ; scrot 'screenshot_%Y-%m-%d_%H-%M-%S.png' -m -e 'mv $f ~/screenshots && echo -n ~/screenshots/$f' | xsel --clipboard --input
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/unmount-encrypted-stick Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sudo umount "/media/sjl/encrypted_drive_$1"
+sudo cryptsetup luksClose "$1_crypt"
--- a/gitconfig Mon Jul 23 15:47:10 2018 +0000
+++ b/gitconfig Mon Jul 23 15:49:20 2018 +0000
@@ -5,7 +5,7 @@
[core]
pager = cat
editor = nvim
- excludesfile = /home/sjl/.gitignore
+ excludesfile = ~/.gitignore
[alias]
tags = tag -l
--- a/gitignore Mon Jul 23 15:47:10 2018 +0000
+++ b/gitignore Mon Jul 23 15:49:20 2018 +0000
@@ -11,3 +11,4 @@
.cache-main
.cache-tests
*.fasl
+.notmylispwords
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/restic/excludes.txt Mon Jul 23 15:49:20 2018 +0000
@@ -0,0 +1,7 @@
+.cache
+cache2
+/home/sjl/.dbus
+/home/sjl/src/dotfiles/vim/tmp
+/home/sjl/.mozilla
+/home/sjl/Dropbox/.dropbox.cache
+
--- a/roswell/lispindent.lisp Mon Jul 23 15:47:10 2018 +0000
+++ b/roswell/lispindent.lisp Mon Jul 23 15:49:20 2018 +0000
@@ -63,7 +63,8 @@
(defparameter *config-files*
(list (merge-pathnames ".lispwords" (user-homedir-pathname))
- ".lispwords" ))
+ ".lispwords"
+ ".notmylispwords"))
(defun source-config-files ()
--- a/stumpwmrc Mon Jul 23 15:47:10 2018 +0000
+++ b/stumpwmrc Mon Jul 23 15:49:20 2018 +0000
@@ -101,6 +101,15 @@
;;;; Load ---------------------------------------------------------------------
(load-module "pass")
+;;;; Screenshotting -----------------------------------------------------------
+(defcommand screenshot-area () ()
+ ;; todo why the hell do these not pick up my fuckin path?
+ (run-shell-command "/home/sjl/src/dotfiles/bin/screenshot-area"))
+
+(defcommand screenshot-screen () ()
+ (run-shell-command "/home/sjl/src/dotfiles/bin/screenshot-screen"))
+
+
;;;; Brightness ---------------------------------------------------------------
(defparameter *brightness-values* #(0 1 25 50 75 100))
(defparameter *brightness-index* 2)
@@ -184,7 +193,7 @@
(toggle-mode-line (current-screen) (current-head)))
(defcommand pass-personal () ()
- (let ((pass:*password-store* "/home/sjl/Dropbox/password-store/"))
+ (let ((pass:*password-store* "/home/sjl/.password-store/"))
(pass:pass-copy)))
;; (defcommand pass-work () ()
@@ -223,8 +232,8 @@
("H-o" "spotify")
("H-I" "intellij")
("H-q" "exec slock")
- ("H-y" "exec scrot 'screenshot_%Y-%m-%d_%H-%M-%S.png' -s -e 'mv $f ~/screenshots && echo -n ~/screenshots/$f' | xclip -sel clip")
- ("H-Y" "exec scrot 'screenshot_%Y-%m-%d_%H-%M-%S.png' -m 'mv $f ~/screenshots && echo -n ~/screenshots/$f' | xclip -sel clip")
+ ("H-y" "screenshot-area")
+ ("H-Y" "screenshot-screen")
("H-r" "loadrc")
("H-V" "vlime"))
@@ -245,7 +254,8 @@
(define-top-keys ;; splitting
("H-s" "sane-vsplit")
- ("H-v" "sane-hsplit"))
+ ("H-v" "sane-hsplit")
+ ("H-=" "balance-frames"))
(define-top-keys ;; killing
("H-w" "delete")